Bug 1002966 - Creating a new Kickstart distribution "Internal Server Error"
Creating a new Kickstart distribution "Internal Server Error"
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
2.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2013-08-30 07:31 EDT by searthrowl
Modified: 2017-09-28 14:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 03:12:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description searthrowl 2013-08-30 07:31:53 EDT
Description of problem:
Get error message (below) when creating the first Kickstart distribution having followed the instructions at https://fedorahosted.org/spacewalk/wiki/HowToKickstartCobbler

 Internal Server Error

The server experienced a problem which prevented your request from being filled out. It may not be possible to execute this action at this time.

Please help us correct this problem by contacting us with details of how you received this message

Version-Release number of selected component (if applicable):

Traceback:
The following exception occurred while executing this request:
POST /rhn/kickstart/TreeCreate.do

Date:8/30/13 11:56:41 AM BST
Headers:
  host: rhn.testing
  user-agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/20130807 Firefox/17.0
  accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  accept-language: en-gb,en;q=0.5
  accept-encoding: gzip, deflate
  connection: keep-alive
  referer: https://rhn.testing/rhn/kickstart/TreeCreate.do
  cookie: JSESSIONID=68F698F1CCBD6671EF52E8B051CAA59D; DWRSESSIONID=DTwPR2ZRE4z3UnqlB$pNBsvf14k; pxt-session-cookie=60xeca35e07952d3836ee8c185cd4b10c24
  content-type: application/x-www-form-urlencoded
  content-length: 273

Request:
Local Name = rhn.testing
Server Name = rhn.testing
Requested Session Id came from Cookie
Requested Session Valid = true
Session = org.apache.catalina.session.StandardSessionFacade@5ef75c3b[session=StandardSession[68F698F1CCBD6671EF52E8B051CAA59D]]
Protocol = https
Request Locale = en_US
Request Character Encoding = UTF-8
Attribute Names = rhnActiveLang, treeEditForm, installtypes, javax.servlet.jsp.jstl.fmt.timeZone.request, javax.servlet.request.key_size, channels, requestedUri, javax.servlet.request.ssl_session, org.apache.struts.action.MESSAGE, session, javax.servlet.request.cipher_suite, org.apache.struts.action.mapping.instance, org.apache.struts.action.MODULE, 

Form Variables:
  kernelopts: consoleblank=0 elevator=deadline
  submitted: true
  postkernelopts: consoleblank=0 elevator=deadline
  label: centos6.4-tools
  installtype: generic_rpm
  refreshForm: false
  channelid: 131
  basepath: /var/satellite/CentOS6.4-x86_64/
  csrf_token: 7608561621044774579


User Information:
User searthrowl (id 1, org_id 1)

Exception:
javax.servlet.ServletException: java.lang.RuntimeException: redstone.xmlrpc.XmlRpcFault: <type 'exceptions.TypeError'>:not all arguments converted during string formatting
	at org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:520)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:427)
	at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:228)
	at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:102)
	at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1913)
	at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:462)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:127)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.opensymphony.sitemesh.webapp.SiteMeshFilter.obtainContent(SiteMeshFilter.java:129)
	at com.opensymphony.sitemesh.webapp.SiteMeshFilter.doFilter(SiteMeshFilter.java:77)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:100)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:57)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
	at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)
	at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:311)
	at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:776)
	at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:705)
	at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:898)
	at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)
	at java.lang.Thread.run(Thread.java:679)
Caused by: java.lang.RuntimeException: redstone.xmlrpc.XmlRpcFault: <type 'exceptions.TypeError'>:not all arguments converted during string formatting
	at com.redhat.rhn.manager.kickstart.tree.BaseTreeEditOperation.store(BaseTreeEditOperation.java:122)
	at com.redhat.rhn.manager.kickstart.tree.TreeCreateOperation.store(TreeCreateOperation.java:61)
	at com.redhat.rhn.frontend.action.BaseEditAction.execute(BaseEditAction.java:65)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:425)
	... 40 more
Caused by: redstone.xmlrpc.XmlRpcFault: <type 'exceptions.TypeError'>:not all arguments converted during string formatting
	at redstone.xmlrpc.XmlRpcClient.handleResponse(XmlRpcClient.java:443)
	at redstone.xmlrpc.XmlRpcClient.endCall(XmlRpcClient.java:376)
	at redstone.xmlrpc.XmlRpcClient.invoke(XmlRpcClient.java:165)
	at org.cobbler.CobblerConnection.invokeMethod(CobblerConnection.java:117)
	at org.cobbler.CobblerConnection.invokeTokenMethod(CobblerConnection.java:150)
	at org.cobbler.Distro.invokeSave(Distro.java:128)
	at org.cobbler.CobblerObject.save(CobblerObject.java:157)
	at org.cobbler.Distro.create(Distro.java:60)
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerDistroCreateCommand.store(CobblerDistroCreateCommand.java:90)
	at com.redhat.rhn.manager.kickstart.tree.BaseTreeEditOperation.store(BaseTreeEditOperation.java:94)
	... 43 more



How reproducible:


Steps to Reproduce:
1. followed the instructions at https://fedorahosted.org/spacewalk/wiki/HowToKickstartCobbler
2.
3.

Actual results:
Failure & server fault

Expected results:
A new Kickstart distribution

Additional info:


rpms installed with version:
rhn-check.noarch                             2.0.1-1.el6               @_local
rhn-client-tools.noarch                      2.0.1-1.el6               @_local
rhn-org-httpd-ssl-key-pair-rhn.testing.noarch
rhn-setup.noarch                             2.0.1-1.el6               @_local
rhnlib.noarch                                2.5.65-1.el6              @_local
rhnpush.noarch                               5.5.65-1.el6              @_local
rhnsd.x86_64                                 5.0.13-1.el6              @_local
spacewalk-admin.noarch                       2.0.1-1.el6               @_local
spacewalk-backend.noarch                     2.0.3-1.el6               @_local
spacewalk-backend-app.noarch                 2.0.3-1.el6               @_local
spacewalk-backend-applet.noarch              2.0.3-1.el6               @_local
spacewalk-backend-config-files.noarch        2.0.3-1.el6               @_local
spacewalk-backend-config-files-common.noarch 2.0.3-1.el6               @_local
spacewalk-backend-config-files-tool.noarch   2.0.3-1.el6               @_local
spacewalk-backend-iss.noarch                 2.0.3-1.el6               @_local
spacewalk-backend-iss-export.noarch          2.0.3-1.el6               @_local
spacewalk-backend-libs.noarch                2.0.3-1.el6               @_local
spacewalk-backend-package-push-server.noarch 2.0.3-1.el6               @_local
spacewalk-backend-server.noarch              2.0.3-1.el6               @_local
spacewalk-backend-sql.noarch                 2.0.3-1.el6               @_local
spacewalk-backend-sql-postgresql.noarch      2.0.3-1.el6               @_local
spacewalk-backend-tools.noarch               2.0.3-1.el6               @_local
spacewalk-backend-xml-export-libs.noarch     2.0.3-1.el6               @_local
spacewalk-backend-xmlrpc.noarch              2.0.3-1.el6               @_local
spacewalk-base.noarch                        2.0.3-1.el6               @_local
spacewalk-base-minimal.noarch                2.0.3-1.el6               @_local
spacewalk-base-minimal-config.noarch         2.0.3-1.el6               @_local
spacewalk-branding.noarch                    2.0.1-1.el6               @_local
spacewalk-certs-tools.noarch                 2.0.1-1.el6               @_local
spacewalk-client-repo.noarch                 2.0-3.el6                 @/spacewalk-client-repo-2.0-3.el6.noarch
spacewalk-common.noarch                      2.0.1-1.el6               @_local
spacewalk-config.noarch                      2.0.1-1.el6               @_local
spacewalk-doc-indexes.noarch                 2.0.1-1.el6               @_local
spacewalk-grail.noarch                       2.0.3-1.el6               @_local
spacewalk-html.noarch                        2.0.3-1.el6               @_local
spacewalk-java.noarch                        2.0.5-1.el6               @_local
spacewalk-java-config.noarch                 2.0.5-1.el6               @_local
spacewalk-java-lib.noarch                    2.0.5-1.el6               @_local
spacewalk-java-postgresql.noarch             2.0.5-1.el6               @_local
spacewalk-jpp-workaround.noarch              1.0.4-1.el6               @_local
spacewalk-monitoring.noarch                  2.0.1-1.el6               @_local
spacewalk-monitoring-selinux.noarch          2.0.1-1.el6               @_local
spacewalk-postgresql.noarch                  2.0.1-1.el6               @_local
spacewalk-pxt.noarch                         2.0.3-1.el6               @_local
spacewalk-repo.noarch                        2.0-3.el6                 @/spacewalk-repo-2.0-3.el6.noarch
spacewalk-schema.noarch                      2.0.2-1.el6               @_local
spacewalk-search.noarch                      2.0.1-1.el6               @_local
spacewalk-selinux.noarch                     2.0.1-1.el6               @_local
spacewalk-setup.noarch                       2.0.1-1.el6               @_local
spacewalk-setup-jabberd.noarch               2.0.1-1.el6               @_local
spacewalk-setup-postgresql.noarch            2.0.1-1.el6               @spacewalk
spacewalk-slf4j.noarch                       1.6.1-5.el6               @_local
spacewalk-sniglets.noarch                    2.0.3-1.el6               @_local
spacewalk-taskomatic.noarch                  2.0.5-1.el6               @_local
spacewalk-utils.noarch                       2.0.3-1.el6               @spacewalk
Comment 1 Tomas Lestach 2013-09-06 03:12:53 EDT
Hmm, I created the distribution just fine.

What version of cobbler do you use?

Actually according to the provided traceback I see you do not create a Fedora distribution, but a centos6.4-tools distro. Note that the exact reproducer steps are required to restore the bug in many cases.

Closing as INSUFFICIENT_DATA. Reopen with exact reproducer steps if you still see the issue.
Comment 2 Eric Herget 2017-09-28 14:10:18 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.